@import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rancho&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}

body {
    background-color: #F7F3F4;
}

img {
    pointer-events: none;
}

/*
----------------------------------------------
                    HOME
----------------------------------------------
*/

#home {
    height: 100vh;
}

.hero {
    height: 100vh;
    position: relative;
    overflow: hidden;
}

.hero::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100px;
    background: linear-gradient(to top, #BB9D94, transparent);
    z-index: 5;
}

.hero img {
    position: absolute;
    object-fit: cover;
    pointer-events: none;
}

.floor {
    width: 100%;
    height: 100%;
}

.main-image {
    width: 100%;
    height: 100%;
    z-index: 3;
}

.main-leaf {
    width: 100%;
    height: 100%;
    z-index: 5;
}

.hero .date {
    position: relative;
    top: 10%;
    left: 0;
    font-size: 24px;
    font-weight: bold;
    color: #BB7966;
    text-align: center;
    text-transform: uppercase;
    z-index: 2;
}

.hero .partner {
    top: 35%;
    display: flex;
    position: relative;
    margin-right: auto;
    margin-left: auto;
    width: 40%;
    height: 30%;
}

.hero .female {
    position: absolute;
    top: 10px;
    left: 5px;
    font-weight: 800;
    font-style: normal;
    font-size: 60px;
    text-transform: uppercase;
    color: #BB7966;
    line-height: .8em;
    z-index: 2;
}

.hero .female-stroke {
    position: absolute;
    top: 10px;
    left: 5px;
    font-weight: 800;
    font-style: normal;
    font-size: 60px;
    text-transform: uppercase;
    color: transparent;
    -webkit-text-stroke: 2px #BB7966;
    line-height: .8em;
    z-index: 4;
}

.hero .male {
    position: absolute;
    bottom: 10px;
    right: 5px;
    font-weight: 800;
    font-style: normal;
    font-size: 60px;
    text-transform: uppercase;
    color: #BB7966;
    line-height: .8em;
    z-index: 2;
}

.hero .male-stroke {
    position: absolute;
    bottom: 10px;
    right: 5px;
    font-weight: 800;
    font-style: normal;
    font-size: 60px;
    text-transform: uppercase;
    color: transparent;
    -webkit-text-stroke: 2px #BB7966;
    line-height: .8em;
    z-index: 4;
}

/*
----------------------------------------------
                    EPISTLE
----------------------------------------------
*/

#epistle {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #BB9D94;
}

#epistle .container {
    position: relative;
    min-height: 660px;
    padding: 100px 0;
    width: 100%;
}

.card-epistle {
    display: flex;
    flex-direction: column;
    margin-right: auto;
    margin-left: auto;
    position: relative;
    justify-content: center;
    align-items: center;
    min-height: 600px;
    width: 75%;
}

.card-epistle .card-body {
    display: flex;
    flex-wrap: wrap;
    background-color: #F7F3F4;
    border-radius: 20px;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.card-body .card-image {
    width: 30%;
    min-height: 380px;
    margin: 25px;
    border-radius: 20px;
    background-image: url(../images/epistle-image.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.card-body .card-description {
    width: 60%;
    margin: 0 25px 0 25px;
}

.card-description h1 {
    color: #BB7966;
    font-family: 'Great Vibes', cursive;
    font-size: 48px;
}

.card-description p {
    color: #BB9D94;
    font-size: 20px;
}

.leaf-epistle {
    margin-right: auto;
    margin-left: auto;
    position: relative;
}

.leaf-epistle img {
    position: absolute;
    bottom: 0;
    object-fit: cover;
}

.leaf-epistle .leaf-1 {
    left: 8%;
    width: 120px;
    animation-name: leaf-one;
    animation-duration: 6s;
    animation-iteration-count: infinite;
}

@keyframes leaf-one {
    0%      {left: 8%;}
    50%     {left: 10%; bottom: 40px;}
    100%    {left: 8%;}
}

.leaf-epistle .leaf-2 {
    left: 57%;
    bottom: 40px;
    width: 120px;
    animation-name: leaf-two;
    animation-duration: 8s;
    animation-iteration-count: infinite;
}

@keyframes leaf-two {
    0%      {width: 120px;}
    50%     {width: 180px;}
    100%    {width: 120px;}
}

.leaf-epistle .leaf-3 {
    left: 80%;
    bottom: 440px;
    animation-name: leaf-tree;
    animation-duration: 4s;
    animation-iteration-count: infinite;
}

@keyframes leaf-tree {
    0%      {left: 80%; bottom: 440px;}
    50%     {left: 83%; bottom: 420px;}
    100%    {left: 80%; bottom: 440px;}
}

.wave-section-1 {
    background-color: #BB9D94;
}

.waves {
    position: relative;
    width: 100%;
    height: 15vh;
    margin-bottom: -7px;
    /*Fix for safari gap*/
    min-height: 100px;
    max-height: 150px;
}

.parallax>use {
    animation: move-forever 25s cubic-bezier(.55, .5, .45, .5) infinite;
}

.parallax>use:nth-child(1) {
    animation-delay: -2s;
    animation-duration: 7s;
}

.parallax>use:nth-child(2) {
    animation-delay: -3s;
    animation-duration: 10s;
}

.parallax>use:nth-child(3) {
    animation-delay: -4s;
    animation-duration: 13s;
}

.parallax>use:nth-child(4) {
    animation-delay: -5s;
    animation-duration: 20s;
}

@keyframes move-forever {
    0% {
        transform: translate3d(-90px, 0, 0);
    }
    100% {
        transform: translate3d(85px, 0, 0);
    }
}

/*
----------------------------------------------
                    COUPLE
----------------------------------------------
*/

#couple {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #F7F3F4;
}

#couple .container {
    position: relative;
    width: 100%;
}

.couple-content {
    padding: 100px;
}

.couple-content h3 {
    color: #BB7966;
    text-align: center;
    font-weight: 400;
    letter-spacing: 5px;
    font-size: 14px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.couple-content h1 {
    color: #BB7966;
    text-align: center;
    font-family: 'Great Vibes', cursive;
    font-size: 48px;
}

.couple-image {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    overflow: hidden;
}

.couple-image-column {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 90%;
}

.couple-image img {
    display: block;
    margin-top: 25px;
    margin-right: auto;
    margin-left: auto;
    width: 350px;
    padding: 10px;
    border-radius: 500px 500px 15px 15px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.couple-image h6 {
    padding-top: 10px;
    color: #BB7966;
    text-align: center;
    text-transform: uppercase;
    font-size: 28px;
    letter-spacing: 3px;
}

.couple-image span {
    display: block;
    margin-bottom: 10px;
    color: #BB7966;
    text-align: center;
    font-size: 24px;
    font-family: 'Great Vibes', cursive;
    width: 400px;
}

.couple-image p {
    color: #BB9D94;
    text-align: center;
    font-size: 18px;
    width: 400px;
}

/*
----------------------------------------------
                   SCHEDULE
----------------------------------------------
*/

#schedule {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #BB9D94;
}

#schedule .container {
    position: relative;
    width: 100%;
}

.schedule-content {
    padding: 100px;
}

.schedule-content h3 {
    color: #F7F3F4;
    text-align: center;
    font-weight: 400;
    letter-spacing: 5px;
    font-size: 14px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.schedule-content h1 {
    color: #F7F3F4;
    text-align: center;
    font-family: 'Great Vibes', cursive;
    font-size: 48px;
}

.schedule-event {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    overflow: hidden;
}

.schedule-activities {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.schedule-activities .date {
    display: grid;
    padding: 20px;
    align-content: center;
    text-align: center;
    border-radius: 20px;
    width: 175px;
    color: #BB7966;
    background-color: #F7F3F4;
}

.schedule-activities .date h3 {
    font-size: 75px;
    font-weight: 600;
    color: transparent;
    -webkit-text-stroke: 3px #BB7966;
    margin-bottom: 0px;
}

.schedule-activities .date h6 {
    letter-spacing: 3px;
    font-size: 12px;
    text-transform: uppercase;
}

.schedule-activities .activity {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 15px 20px;
    padding: 10px;
}

.schedule-activities .title {
    padding: 10px;
    text-align: center;
    color: #F7F3F4;
}

.schedule-activities img {
    width: 65px;
    height: 65px;
    object-fit: contain;
    display: block;
    margin: 0 auto 15px auto;
    filter: brightness(0) saturate(100%) invert(90%) sepia(2%) saturate(277%) hue-rotate(277deg) brightness(103%) contrast(104%);
}

.schedule-activities h2 {
    text-transform: capitalize;
    font-size: 38px;
    font-family: 'Great Vibes', cursive;
}

.schedule-activities p {
    color: #F7F3F4;
    font-size: 18px;
    text-align: center;
}

.schedule-activities .address {
    display: block;
    position: relative;
    text-align: center;
    margin-top: 25px;
}

.schedule-activities .address a {
    display: inline-block;
    margin: 10px auto;
    padding: 10px 20px;
    border: 2px solid #F7F3F4;
    background-color: #F7F3F4;
    border-radius: 25px;
    color: #BB9D94;
    text-decoration: none;
}

.schedule-activities .address a:hover {
    border: 2px solid #F7F3F4;
    background-color: #BB9D94;
    color: #F7F3F4;
}

/*
----------------------------------------------
                     GIFT
----------------------------------------------
*/

#gift {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #F7F3F4;
}

#gift .container {
    position: relative;
    width: 100%;
}

.gift-content {
    display: flex;
    margin-right: auto;
    margin-left: auto;
    justify-content: center;
    padding: 100px 0 0 0;
}

.gift-card {
    padding: 25px;
    background-color: #BB9D94;
    border-radius: 20px;
    width: 80%;
}

.gift-card h3 {
    color: #F7F3F4;
    text-align: center;
    font-weight: 400;
    letter-spacing: 5px;
    font-size: 14px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.gift-card h1 {
    color: #F7F3F4;
    text-align: center;
    font-family: 'Great Vibes', cursive;
    font-size: 48px;
}

.gift-card .card-body {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.gift-card .card-item {
    width: 25%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 20px;
    margin: 15px 20px;
    padding: 10px;
}

.card-item img {
    width: 80px;
}

.card-item button {
    margin: 10px 0;
    padding: 10px;
    border: 0;
    border-radius: 20px;
    color: #F7F3F4;
    border: 2px solid #BB7966;
    background-color: #BB7966;
    cursor: pointer;
    width: 75%;
}

.card-item button:hover {
    color: #BB7966;
    border: 2px solid #BB7966;
    background-color: #F7F3F4;
}

.status-bca,
.status-bri {
    color: #BB7966;
    font-size: 12px;
}

/*
----------------------------------------------
                    GALLERY
----------------------------------------------
*/

#slider-section {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #F7F3F4;
}

#slider-section .container {
    margin: auto;
    padding: 100px 0;
    width: 100%;
}

.subcontainer {
    width: 85%;
    margin: auto;
}

.slider-wrapper {
    position: relative;
}

.slider-wrapper h3 {
    color: #BB7966;
    text-align: center;
    font-weight: 400;
    letter-spacing: 5px;
    font-size: 14px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.slider-wrapper h1 {
    color: #BB7966;
    text-align: center;
    font-family: 'Great Vibes', cursive;
    font-size: 48px;
}

.previous,
.next {
    padding: 2px;
    width: 30px;
    cursor: pointer;
    border-radius: 50%;
    outline: none;
    transition: 0.7s ease-in-out;
    border: 3px solid #F7F3F4;
    background-color: #BB9D94;
    box-shadow: 0 0 5px #BBBBBB;
    position: absolute;
    top: 60%;
}

.previous {
    left: 2%;
}

.next {
    right: 2%;
}

.previous:hover,
.next:hover {
    border: 3px solid gray;
}

#controls i {
    color: white;
    font-size: 1rem;
}

.tns-nav {
    text-align: center;
}

.tns-nav button {
    border: none;
    padding: 8px;
    border-radius: 50%;
    background-color: #BB9D94;
    margin-left: 15px;
}

.tns-outer [data-action] {
    display: none;
}

.tns-nav .tns-nav-active {
    background-color: #BB7966;
}

.slide {
    width: auto;
    height: fit-content;
}

.slide img {
    width: 100%;
    height: 600px;
    border: 2px solid #FFFFFF;
    border-radius: 20px;
}

/*
----------------------------------------------
                    FOOTER
----------------------------------------------
*/

#footer {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #BB7966;
}

#footer .container {
    position: relative;
    width: 80%;
}

.footer-content {
    padding: 50px 0 25px 0;
    text-align: center;
}

.footer-content h3 {
    color: #F7F3F4;
    text-align: center;
    font-weight: 400;
    letter-spacing: 5px;
    font-size: 14px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.footer-content h1 {
    padding: 10px 0;
    color: #F7F3F4;
    text-align: center;
    font-family: 'Great Vibes', cursive;
    font-size: 48px;
}

.sub-footer {
    padding: 25px;
    text-align: center;
    border-top: 1px solid #F7F3F4;
    color: #F7F3F4;
}

.sub-footer a {
    color: #F7F3F4;
    text-decoration: none;
}

/*
----------------------------------------------
                  PRELOADER
----------------------------------------------
*/

.preloader {
    width: 100%;
    height: 100%;
    background: #F7F3F4;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;
    display: flex;
    align-items: center;
    justify-content: center;
}

.lds-heart {
    display: inline-block;
    position: relative;
    width: 64px;
    height: 64px;
    transform: rotate(45deg);
    transform-origin: 32px 32px;
}

.lds-heart div {
    top: 23px;
    left: 19px;
    position: absolute;
    width: 26px;
    height: 26px;
    background: #BB7966;
    animation: lds-heart 1.2s infinite cubic-bezier(0.215, 0.61, 0.355, 1);
}

.lds-heart div:after,
.lds-heart div:before {
    content: " ";
    position: absolute;
    display: block;
    width: 26px;
    height: 26px;
    background: #BB7966;
}

.lds-heart div:before {
    left: -17px;
    border-radius: 50% 0 0 50%;
}

.lds-heart div:after {
    top: -17px;
    border-radius: 50% 50% 0 0;
}

@keyframes lds-heart {
    0% {
        transform: scale(0.95);
    }

    5% {
        transform: scale(1.1);
    }

    39% {
        transform: scale(0.85);
    }

    45% {
        transform: scale(1);
    }

    60% {
        transform: scale(0.95);
    }

    100% {
        transform: scale(0.9);
    }
}

/*
----------------------------------------------
                  RESPONSIVE
----------------------------------------------
*/

@media only screen and (max-width: 600px) {

    /* Home */
    #home {
        height: 600px;
    }
    
    .hero {
        height: 600px;
    }

    .hero img {
        bottom: 0;
    }
    
    .main-leaf {
        width: auto;
        height: 55%;
    }

    .hero .date {
        font-size: 18px;
    }

    .hero .partner {
        width: 100%;
        height: 32.5%;
    }

    .hero .female {
        left: 10px;
        font-size: 50px;
    }
    
    .hero .female-stroke {
        left: 10px;
        font-size: 50px;
    }

    .hero .male {
        right: 10px;
        font-size: 50px;
    }
    
    .hero .male-stroke {
        right: 10px;
        font-size: 50px;
    }

    /* Epistle */
    #epistle .container {
        padding: 50px 0;
    }

    .card-epistle {
        width: 80%;
    }

    .card-epistle .card-body {
        justify-content: center;
    }

    .card-body .card-image {
        min-height: 300px;
        width: 100%;
    }

    .card-body .card-description {
        width: 100%;
        margin: 0 25px 25px 25px;
    }

    .card-description h1 {
        font-size: 28px;
        text-align: center;
    }

    .card-description p {
        font-size: 14px;
        text-align: center;
    }

    .leaf-epistle .leaf-1 {
        left: 2%;
        bottom: -50px;
        width: 90px;
    }
    
    @keyframes leaf-one {
        0%      {left: 2%;}
        50%     {left: 10%; bottom: -40px;}
        100%    {left: 2%;}
    }
    
    .leaf-epistle .leaf-2 {
        left: 70%;
        bottom: 0px;
        width: 80px;
    }
    
    @keyframes leaf-two {
        0%      {width: 80px;}
        50%     {width: 100px;}
        100%    {width: 80px;}
    }
    
    .leaf-epistle .leaf-3 {
        left: 70%;
        bottom: 550px;
        width: 90px;
    }
    
    @keyframes leaf-tree {
        0%      {left: 70%; bottom: 550px;}
        50%     {left: 73%; bottom: 540px;}
        100%    {left: 70%; bottom: 550px;}
    }

    /* Couple */
    #couple .container {
        width: 90%;
    }
    
    .couple-content{
        padding: 50px 0;
    }

    .couple-content h1 {
        font-size: 38px;
    }

    .couple-image-column {
        width: unset;
    }

    .couple-image img {
        width: 250px;
    }

    .couple-image h6 {
        font-size: 24px;
    }

    .couple-image span {
        font-size: 22px;
    }

    .couple-image p {
        font-size: 14px;
        width: 100%;
    }

    /* Schedule */
    .schedule-content {
        padding: 50px 0;
    }

    .schedule-content h1 {
        font-size: 38px;
        margin-bottom: 15px;
    }

    .schedule-event {
        padding: 0 20px;
    }

    .schedule-activities .activity {
        width: 100%;
    }

    .schedule-activities .address {
        margin-top: 0;
    }

    .schedule-activities h2 {
        font-size: 38px;
    }

    .schedule-activities p {
        font-size: 14px;
    }

    /* Gift */
    .gift-content {
        padding: 50px 0 0 0;
    }

    .gift-card h1 {
        font-size: 38px;
        margin-bottom: 15px;
    }

    .gift-card .card-item {
        width: 100%;
        margin: 10px 10px;
    }

    /* Gallery */
    #slider-section .container {
        padding: 50px 0;
    }

    .slider-wrapper h1 {
        font-size: 38px;
        margin-bottom: 15px;
    }

    .tns-nav button {
        padding: 5px;
    }

    .slide img {
        height: auto;
    }

    /* Footer */
    .sub-footer {
        font-size: 14px;
    }

}
